petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMPIAIJSetValuesBatch

Set multiple blocks of values into a matrix

### Synopsis

    #include "petscmat.h"
    #undef __FUNCT__
    #define __FUNCT__ "MatSetValuesBatch_MPIAIJCUSP"
    PetscErrorCode MatSetValuesBatch_MPIAIJCUSP(Mat J, PetscInt Ne, PetscInt Nl, PetscInt *elemRows, const PetscScalar *elemMats)

Not collective

### Input Parameters

| J | - the assembled Mat object
| Ne | - the number of blocks (elements)
| Nl | - the block size (number of dof per element)
| elemRows | - List of block row indices, in bunches of length Nl
| elemMats | - List of block values, in bunches of Nl*Nl

### See Also

MatSetValues()

Level:advanced
Location:src/mat/impls/aij/mpi/mpicusp/mpiaijAssemble.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages